Application: gvSIG desktop - gvSIG bugs #1412
Error after removing fields in a table
11/21/2012 11:58 AM - Manuel Madrid

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: Juan Lucas Dominguez

Category: Vector editing

Target version: 2.0.0-rc3

Severity: Add-on version:

gvSIG version: 2.0.0 Add-on build:

gvSIG build: 2058 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

1. Load a shape file.

2. Start editing.

3. Open its attribute table.

4. Select some fields.

5. Press the button "remove fields"
6. Get an error message.

The error appears each time a field is removed.

Nevertheless, changes are stored after stopping editing.

I'm attaching the log file.

History

#1 - 12/05/2012 09:09 AM - Juan Lucas Dominguez

- Assignee set to Juan Lucas Dominguez

This bug was also reported by Alvaro Anguix but | could not reproduce it.
It happens while drawing the geometries.
I think it happens only sometimes.

Please follow these steps so | can reproduce it:

- Before clicking the button to remove the fields, make a screenshot of your desktop and attach it to this ticket, because the problems perhaps depends
on the position of the view and the table.

- Attach the shapefile to this ticket or send the link to it.

#2 - 12/05/2012 09:09 AM - Juan Lucas Dominguez

- Status changed from New to Awaiting response

#3 - 12/07/2012 01:46 PM - Joaquin del Cerro Murciano
- Target version changed from 2.0.0-rc1 to 2.0.0-final
#4 - 12/19/2012 02:09 PM - Manuel Madrid

- Target version changed from 2.0.0-final to 2.0.0-rc3

#5 - 12/19/2012 03:01 PM - Juan Lucas Dominguez

- Status changed from Awaiting response to Fixed

Set methods as synchronized to prevent possible thread concurrence issues. First test with huge SHP file did not show difference in performance.

gvsig-desktop:r39488

This error is not easy to reproduce, so it's not guaranteed to be solved after the change made.

#6 - 02/26/2014 12:34 PM - Alvaro Anguix

- Status changed from Fixed to Closed

Files

gvSIG-4.log 228 KB 11/21/2012 Manuel Madrid
